#ifndef APPLICATION_H
#define APPLICATION_H

#include "common.h"

extern void          Application_Run(void);
extern void          Application_Quit(void);
extern SDL_Window*   Application_GetWindow(void);
extern SDL_Renderer* Application_GetRenderer(void);
extern int           Application_GetWidth(void);
extern int           Application_GetHeight(void);
extern void          Application_SetBGColor(rgba_t color);
extern bool          Application_IsKeyDown(key_t key);
extern bool          Application_IsKeyPress(key_t key);
extern bool          Application_IsKeyUp(key_t key);
extern void          Application_SetFullscreen(void);
extern void          Application_SetWindowed(void);

#endif
